Name: libtasn1
Version: 0.3.9
Release: alt1

%def_disable static
%def_enable check

Summary: ASN.1 library
Group: System/Libraries
License: LGPL
URL: http://www.gnu.org/software/gnutls/

Packager: Pavlov Konstantin <thresh@altlinux.ru>

%define pkgdocdir %_docdir/%name-%version

Source: %name-%version.tar.bz2

BuildRequires: gtk-doc >= 1.2
BuildRequires: automake >= 1.9
# well, we need autoconf 2.60 now, but let's add onceonly.m4...
BuildRequires: autoconf >= 2.59

%{?_enabled_static:BuildRequires: glibc-devel-static}
%{?_enabled_check:BuildRequires: valgrind}

%description
libtasn1 is a library to manage ASN.1 (Abstract Syntax Notation One)
structures.

%package utils
Summary: ASN.1 development utilities
Group: Development/Other
Requires: %name = %version-%release

%description utils
Development utilities to handle ASN.1 notation
coming with the libtasn1 library.

%package devel
Summary: Development files for %name
Group: Development/C
Requires: %name = %version-%release

%description devel
Header and other files needed to develop applications using the tASN.1 library

%if_enabled static
%package devel-static
Summary: Static library for %name
Group: Development/C
Requires: %name-devel = %version-%release

%description devel-static
Static archive variant of the tASN.1 library
%endif	# enabled static

%package devel-doc
Summary: Development documentation for %name
Group: Development/C
Conflicts: libtasn1-devel < 0.2.17-alt1
Requires(post): %install_info
Requires(preun): %uninstall_info

%description devel-doc
Development documentation for the tASN.1 library.

%prep
%setup -q
rm -f COPYING.LIB
ln -s %_licensedir/LGPL-2.1 COPYING.LIB
bzip2 -9k doc/libtasn1.ps
sed -i 's|^INFO-DIR-SECTION .*|INFO-DIR-SECTION System/Libraries|' \
    doc/libtasn1.info

%build
%__autoreconf

%configure \
%if_disabled check
    --disable-valgrind-tests \
%endif
    --enable-gtk-doc \
    %{subst_enable static}
# Non-parallel build
%make

%if_enabled check
%make check
%endif

%install
%make_install DESTDIR=%buildroot install

install -d -m 755 %buildroot%pkgdocdir
install -p -m 644 AUTHORS ChangeLog NEWS README THANKS %buildroot%pkgdocdir
ln -s %_licensedir/LGPL-2.1 %buildroot%pkgdocdir/COPYING.LIB
install -p -m 644 doc/*.html doc/*.pdf doc/*.ps.bz2 doc/*.tex doc/TODO \
    %buildroot%pkgdocdir/

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%post devel-doc
%install_info %name.info

%preun devel-doc
%uninstall_info %name.info

%files
%_libdir/*.so.*
%dir %pkgdocdir
%pkgdocdir/AUTHORS
%pkgdocdir/ChangeLog
%pkgdocdir/COPYING.LIB
%pkgdocdir/NEWS
%pkgdocdir/README
%pkgdocdir/THANKS

%files utils
%_bindir/asn1*
%_man1dir/*

%files devel
%_libdir/*.so
%_includedir/*
%_bindir/*-config
%_datadir/aclocal/*
%_libdir/pkgconfig/*

%files devel-doc
%_infodir/*
%_man3dir/*
%doc %_datadir/gtk-doc/html/*
%dir %pkgdocdir
%pkgdocdir/*.html
%pkgdocdir/*.pdf
%pkgdocdir/*.ps.bz2
%pkgdocdir/*.tex
%pkgdocdir/TODO

%if_enabled static
%files devel-static
%_libdir/*.a
%endif	# enabled static

%changelog
* Tue Apr 10 2007 Pavlov Konstantin <thresh@altlinux.ru> 0.3.9-alt1
- 0.3.9 release.

* Sat Jan 27 2007 Pavlov Konstantin <thresh@altlinux.ru> 0.3.8-alt1
- 0.3.8 release.
- Minor spec cleanup.
- Fixed BuildRequires.
- Hacked the configure.in to use autoconf 2.59.
- Added onceonly.m4 file to source tree to be able to use macros
  appeared in autoconf 2.60.

* Sat Sep 02 2006 Mikhail Zabaluev <mhz@altlinux.ru> 0.3.6-alt1
- Updated to 0.3.6

* Tue May 30 2006 Mikhail Zabaluev <mhz@altlinux.ru> 0.3.4-alt1
- Updated to 0.3.4
- Added libtasn1-utils package
- Buildreq

* Sat Feb 11 2006 Mikhail Zabaluev <mhz@altlinux.ru> 0.2.18-alt1
- 0.2.18, fixes SA18794

* Tue Nov 29 2005 Mikhail Zabaluev <mhz@altlinux.ru> 0.2.17-alt1
- Updated to 0.2.17
- Moved documentation to the devel-doc subpackage

* Sun Aug 14 2005 Mikhail Zabaluev <mhz@altlinux.ru> 0.2.15-alt1
- Updated to 0.2.15

* Mon Jan 03 2005 Mikhail Zabaluev <mhz@altlinux.ru> 0.2.13-alt1
- Updated to 0.2.13
- Serialized make

* Tue May 25 2004 Mikhail Zabaluev <mhz@altlinux.ru> 0.2.10-alt1
- Updated to 0.2.10
- Added configure scripts to the file list

* Sat Mar 06 2004 Mikhail Zabaluev <mhz@altlinux.ru> 0.2.7-alt1
- New upstream release

* Fri Jan 02 2004 Mikhail Zabaluev <mhz@altlinux.ru> 0.2.6-alt1
- Initial release for Sisyphus
